Bug 1327158 - [abrt] hawaii-system-preferences: QtWaylandClient::QWaylandDisplay::exitWithError(): hawaii-system-preferences killed by SIGSEGV
Summary: [abrt] hawaii-system-preferences: QtWaylandClient::QWaylandDisplay::exitWithE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hawaii-system-preferences
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pier Luigi Fiorini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6c0296ba93883b11d145c147b87...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-14 11:22 UTC by Mike FABIAN
Modified: 2016-05-24 01:25 UTC (History)
1 user (show)

Fixed In Version: hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24 hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:44:22 UTC


Attachments (Terms of Use)
File: backtrace (37.84 KB, text/plain)
2016-04-14 11:22 UTC, Mike FABIAN
no flags Details
File: cgroup (242 bytes, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: core_backtrace (7.17 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: dso_list (10.86 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: environ (780 bytes, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: exploitable (93 bytes, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: maps (54.54 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.52 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: open_fds (1.36 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-04-14 11:23 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-14 11:22:51 UTC
Description of problem:
I just clicked on the preferences icon at the bottom of the screen (The icon which looks like a slider).

Version-Release number of selected component:
hawaii-system-preferences-0.6.90-0.1.20160301git.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/hawaii-system-preferences
crash_function: QtWaylandClient::QWaylandDisplay::exitWithError
executable:     /usr/bin/hawaii-system-preferences
global_pid:     9978
kernel:         4.5.0-302.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #16 QtWaylandClient::QWaylandDisplay::exitWithError at qwaylanddisplay.cpp:210
 #17 QtWaylandClient::QWaylandDisplay::flushRequests at qwaylanddisplay.cpp:193
 #18 QMetaObject::activate at kernel/qobject.cpp:3730
 #20 QSocketNotifier::activated at .moc/moc_qsocketnotifier.cpp:135
 #21 QSocketNotifier::event at kernel/qsocketnotifier.cpp:260
 #22 doNotify at kernel/qcoreapplication.cpp:1090
 #23 QCoreApplication::notify at kernel/qcoreapplication.cpp:1076
 #24 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015
 #25 QCoreApplication::sendEvent at ../../src/corelib/kernel/qcoreapplication.h:227
 #26 socketNotifierSourceDispatch at kernel/qeventdispatcher_glib.cpp:100

Comment 1 Mike FABIAN 2016-04-14 11:22:58 UTC
Created attachment 1147161 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-14 11:23:00 UTC
Created attachment 1147162 [details]
File: cgroup

Comment 3 Mike FABIAN 2016-04-14 11:23:02 UTC
Created attachment 1147163 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2016-04-14 11:23:05 UTC
Created attachment 1147164 [details]
File: dso_list

Comment 5 Mike FABIAN 2016-04-14 11:23:07 UTC
Created attachment 1147165 [details]
File: environ

Comment 6 Mike FABIAN 2016-04-14 11:23:10 UTC
Created attachment 1147166 [details]
File: exploitable

Comment 7 Mike FABIAN 2016-04-14 11:23:12 UTC
Created attachment 1147167 [details]
File: limits

Comment 8 Mike FABIAN 2016-04-14 11:23:16 UTC
Created attachment 1147168 [details]
File: maps

Comment 9 Mike FABIAN 2016-04-14 11:23:18 UTC
Created attachment 1147169 [details]
File: mountinfo

Comment 10 Mike FABIAN 2016-04-14 11:23:21 UTC
Created attachment 1147170 [details]
File: namespaces

Comment 11 Mike FABIAN 2016-04-14 11:23:24 UTC
Created attachment 1147171 [details]
File: open_fds

Comment 12 Mike FABIAN 2016-04-14 11:23:28 UTC
Created attachment 1147172 [details]
File: proc_pid_status

Comment 13 Mike FABIAN 2016-04-14 11:23:33 UTC
Created attachment 1147173 [details]
File: var_log_messages

Comment 14 Pier Luigi Fiorini 2016-04-20 22:24:37 UTC
This doesn't seem to happen anymore with copr nightly builds, so I'm updating the packages.

Comment 15 Fedora Update System 2016-05-01 03:27:58 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 greenisland-0.7.90-1.20160420gitf29505146ed29.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 16 Fedora Update System 2016-05-01 03:28:21 UTC
hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24 hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24 hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24 hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24 libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 greenisland-0.7.90-1.20160420gitf29505146ed29.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 17 Fedora Update System 2016-05-01 17:54:37 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1730a711e2

Comment 18 Fedora Update System 2016-05-02 00:52:39 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f09216bbd3

Comment 19 Fedora Update System 2016-05-07 11:44:14 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc24, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc24, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc24, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc24, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc24, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-24 01:25:36 UTC
greenisland-0.7.90-1.20160420gitf29505146ed29.fc23, hawaii-shell-0.6.90-1.20160430git4cd524e9e3fd8.fc23, hawaii-system-preferences-0.6.90-1.20160418git2672153c7bf1b.fc23, hawaii-widget-styles-0.6.90-1.20160229git20ffdadd04e9f.fc23, hawaii-workspace-0.6.90-1.20160428gitcd41612b3d6f7.fc23, libhawaii-0.6.90-1.20160420git2588bd4ac1af8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.